summaryrefslogtreecommitdiffstats
path: root/academic/ggobi
diff options
context:
space:
mode:
author Pedro Mendes <pedro@gepasi.org>2010-05-13 00:57:16 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:16 +0200
commit55c1a30c6e5388224a203d2b163ec5f38b54bc3a (patch)
treec640ca82d88680163dc83f7604fa85e4dd066c8c /academic/ggobi
parentef4ebfec780485c2afa435102cf777d2491b5800 (diff)
downloadslackbuilds-55c1a30c6e5388224a203d2b163ec5f38b54bc3a.tar.gz
slackbuilds-55c1a30c6e5388224a203d2b163ec5f38b54bc3a.tar.xz
academic/ggobi: Added to 13.0 repository
Diffstat (limited to 'academic/ggobi')
-rw-r--r--academic/ggobi/README7
-rw-r--r--academic/ggobi/ggobi-2.1.8-graphviz.patch14
-rw-r--r--academic/ggobi/ggobi.SlackBuild74
-rw-r--r--academic/ggobi/ggobi.info10
-rw-r--r--academic/ggobi/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/academic/ggobi/README b/academic/ggobi/README
new file mode 100644
index 0000000000..2a325c43df
--- /dev/null
+++ b/academic/ggobi/README
@@ -0,0 +1,7 @@
+GGobi is an interactive, direct manipulation tool for visualizing high
+dimensional data across linked plots. It provides highly dynamic and
+interactive graphics such as tours, as well as familiar graphics such
+as the scatterplot, barchart and parallel coordinates plots. Plots are
+interactive and linked with brushing and identification. The GUI is built
+using Gtk+. It reads data in regular ASCII format and more richly using
+an XML format. Plugins for other formats are also available.
diff --git a/academic/ggobi/ggobi-2.1.8-graphviz.patch b/academic/ggobi/ggobi-2.1.8-graphviz.patch
new file mode 100644
index 0000000000..ac7313381b
--- /dev/null
+++ b/academic/ggobi/ggobi-2.1.8-graphviz.patch
@@ -0,0 +1,14 @@
+diff -urN ggobi-2.1.8-orig/plugins/GraphLayout/graphviz.c ggobi-2.1.8/plugins/GraphLayout/graphviz.c
+--- ggobi-2.1.8-orig/plugins/GraphLayout/graphviz.c 2009-03-15 15:03:18.000000000 -0400
++++ ggobi-2.1.8/plugins/GraphLayout/graphviz.c 2009-03-15 15:04:30.000000000 -0400
+@@ -267,8 +267,8 @@
+ m = visible[i];
+ name = (gchar *) g_array_index (d->rowlab, gchar *, m);
+ node = agfindnode (graph, name);
+- pos[i][0] = (gdouble) ND_coord_i(node).x;
+- pos[i][1] = (gdouble) ND_coord_i(node).y;
++ pos[i][0] = (gdouble) ND_coord(node).x;
++ pos[i][1] = (gdouble) ND_coord(node).y;
+ }
+
+ } else if (layout_type == TWOPI_LAYOUT) {
diff --git a/academic/ggobi/ggobi.SlackBuild b/academic/ggobi/ggobi.SlackBuild
new file mode 100644
index 0000000000..8ab058033a
--- /dev/null
+++ b/academic/ggobi/ggobi.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for ggobi
+# Written by Pedro Mendes pedro@gepasi.org
+# hereby put in the public domain
+
+PRGNAM=ggobi
+VERSION=2.1.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --with-all-plugins \
+ --build=$ARCH-slackware-linux
+
+# fix problem with graphviz plugin
+patch -p1 < $CWD/ggobi-2.1.8-graphviz.patch
+
+make
+make install-strip DESTDIR=$PKG
+make ggobirc
+
+mkdir -p $PKG/etc/xdg/ggobi
+cp ggobirc $PKG/etc/xdg/ggobi/ggobirc
+
+rm -f $PKG/usr/info/dir
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING CPLicense.txt ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ggobi/ggobi.info b/academic/ggobi/ggobi.info
new file mode 100644
index 0000000000..d49db5d874
--- /dev/null
+++ b/academic/ggobi/ggobi.info
@@ -0,0 +1,10 @@
+PRGNAM="ggobi"
+VERSION="2.1.8"
+HOMEPAGE="http://www.ggobi.org/"
+DOWNLOAD="http://www.ggobi.org/downloads/ggobi-2.1.8.tar.bz2"
+MD5SUM="0b07adffcf4379e819b1a26e4cd60d7b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pedro Mendes"
+EMAIL="pedro@gepasi.org"
+APPROVED="rworkman"
diff --git a/academic/ggobi/slack-desc b/academic/ggobi/slack-desc
new file mode 100644
index 0000000000..83f8ccbe53
--- /dev/null
+++ b/academic/ggobi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ggobi: GGobi (visualization program for exploring high-dimensional data)
+ggobi:
+ggobi: GGobi is an interactive, direct manipulation tool for visualizing
+ggobi: high-dimensional data across linked plots. The GUI is built using
+ggobi: Gtk+. It reads data in regular ASCII format and more richly using an
+ggobi: XML format. Plugins for other formats are also available.
+ggobi:
+ggobi: http://www.ggobi.org/
+ggobi:
+ggobi:
+ggobi: